Skip to main content
`Ctrl`+`K`

# TSThetaSetTheta

Set the abscissa of the stage in (0,1] for `TSTHETA`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSThetaSetTheta(TS ts, PetscReal theta)

Not Collective

## Input Parameters

- ts - timestepping context

- theta - stage abscissa

## Options Database Key

- -ts_theta_theta <theta> - set theta

## See Also

TS: Scalable ODE and DAE Solvers, `TSThetaGetTheta()`, `TSTHETA`, `TSCN`

## Level

intermediate

## Location

src/ts/impls/implicit/theta/theta.c

## Examples

src/ts/tutorials/ex17.c

## Implementations

TSThetaSetTheta_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages